Skip site navigation (1) Skip section navigation (2)

Re: [pgadmin-support] corrections v1.2 rc2: rpm 4 madrake 10.1

From: "Dave Page" <dpage(at)vale-housing(dot)co(dot)uk>
To: "Hugo Ferreira" <hmf(at)inescporto(dot)pt>,<pgadmin-support(at)postgresql(dot)org>
Cc: <pgadmin-hackers(at)postgresql(dot)org>
Subject: Re: [pgadmin-support] corrections v1.2 rc2: rpm 4 madrake 10.1
Date: 2004-12-02 09:35:18
Message-ID: E7F85A1B5FF8D44C8A1AF6885BC9A0E4527C27@ratbert.vale-housing.co.uk (view raw or flat)
Thread:
Lists: pgadmin-hackerspgadmin-support
 

> -----Original Message-----
> From: pgadmin-support-owner(at)postgresql(dot)org 
> [mailto:pgadmin-support-owner(at)postgresql(dot)org] On Behalf Of 
> Hugo Ferreira
> Sent: 01 December 2004 10:10
> To: pgadmin-support(at)postgresql(dot)org
> Subject: [pgadmin-support] corrections v1.2 rc2: rpm 4 madrake 10.1
> 
> Hi,

Hello,

> I have had to change the src.rpm spec file and the configure 
> file to be able to generate a rpm for Mandrake 10.1. Changes:
> 
> 1. Mandrake 10.1 makes available the wxGTK2.5-2.5.3 and 
> related packages. Only the dynamic versions of the library 
> are created, so the specs must not use the static configuration flag.

OK.

> 2. Mandrake 10.1 makes available the wxGTK2.5-2.5.3 and 
> related packages but these install to the "/usr" directory 
> and not the "/usr/local" so the spec file must also have the 
> configuration flag altered.

OK.

> 3.  The library names of the wxGTK package are: 
> 	- wx_gtk2_xrc-2.5 
> 	- wx_gtk2_html-2.5 
> 	- wx_gtk2_adv-2.5 
> 	- wx_gtk2_core-2.5 -lwx_base_xml-2.5 
> 	- wx_base_net-2.5 -lwx_base-2.5
> Because of this the configure script must add a new entry in 
> the case switch to search for and use substring "gtk2_" and 
> not "gtk2-".

OK.

> I have altered the rc2 src.rpm package and used that to 
> generate a new src.rpm that can build binary packages for MDK 
> 10.1. I can make this available if anyone wants, just tell me 
> were to upload it. Please note that this package has a set of 
> minimum changes and does not comply to Mandrake standards 
> (doesn't check for package dependencies for example).

Can someone else comment on whether that is likely to cause problems?
I'm not well versed in the ways of the RPM!

> 
> Spec file line changed:
> ----------------------------
>  %configure --with-wx-config=%{withwxconfig} --with-wx=/usr


That's no problem - we have a couple of variations of the spec files for
different Oss already so another one can be added.

That said, it would be good to get one all-knowing all-purpose spec
file. Does anyone know if that's do-able? Perhaps it could be
autogenerated as part of the build process?

> configure diff:
> ------------------
> 
> 5201a5202,5205
> >             *wx_gtk2_*)
> >                 LIBS="$LIBS -lwx_gtk2_stc-${WX_VERSION}"
> >                 LIBS="$LIBS $WX_NEW_LDFLAGS"
> >                 ;;
> 5206c5210
> <
> ---
> >     

No problem there either. Can I get some additional opinions thouogh
before I apply these changes?

Regards, Dave.

Responses

pgadmin-hackers by date

Next:From: Devrim GUNDUZDate: 2004-12-02 17:51:55
Subject: Re: RPMs for Fedora Core 1-3
Previous:From: Dave PageDate: 2004-12-02 09:13:05
Subject: Re: Arabic translation

pgadmin-support by date

Next:From: Troels ArvinDate: 2004-12-02 09:39:08
Subject: Re: string.cpp assertion failure
Previous:From: Andreas PflugDate: 2004-12-02 08:53:17
Subject: Re: string.cpp assertion failure

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group